SDL_ConvertEventToRenderCoordinates(3)

NAME
SDL_ConvertEventToRenderCoordinates - Convert the coordinates in an event to render coordinates.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_ConvertEventToRenderCoordinates(SDL_Renderer *renderer, SDL_Event *event);

DESCRIPTION
This takes into account several states:

• The window dimensions.

• The logical presentation settings (SDL_SetRenderLogicalPresentation)

• The scale (SDL_SetRenderScale)

• The viewport (SDL_SetRenderViewport)

Various event types are converted with this function: mouse, touch, pen, etc.

Touch coordinates are converted from normalized coordinates in the window to non-normalized rendering coordinates.

Relative mouse coordinates (xrel and yrel event fields) are _also_ converted. Applications that do not want these fields converted should use SDL_RenderCoordinatesFromWindow() on the specific event fields instead of converting the entire event structure.

Once converted, coordinates may be outside the rendering area.

FUNCTION PARAMETERS

renderer
    the rendering context.

event
    the event to modify.

RETURN VALUE
Returns true if the event is converted or doesn't need conversion, or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderCoordinatesFromWindow(3)